﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Trig Sens IEEE/9100+Opt600
DATE:                  2009-06-30 11:16:55
AUTHOR:                Fluke
REVISION:              $Revision: 1.8 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       31
NUMBER OF LINES:       1215
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Text Source:
# $RCSfile: sub_tek_tds5000b_1yr_bw_iso_trg_ver_ieee_9100_opt600.txt,v $
# $Date: 2009/06/30 18:07:32 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS5000B Series: TDS 5032B, TDS 5034B, TDS 5052B, TDS 5054B,
#                         TDS 5054BE
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.002  JMPL         CHANNELS_ISOLATION           PSUBI("Chan Iso")
  1.003  JMPL         TRIGGER                      PSUBI("Trig Sens")
  1.004  DISP         {Undefined subprocedure!}
  1.005  END

  1.006  EVAL   Increment step number

# ********************************* Bandwidth  *******************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  HEAD         ANALOG BANDWIDTH (CH [V @Chan])
  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  HEAD         -2{ 100 mV/div}
  2.011  TARGET
  2.012  CALL         Sub Tek TDS5000B Channel Select IEEE
  2.013  DISP         Connect 9100 SIG OUT (on rear) to the UUT CH [V @Chan].
  2.014  IEEE2        CH[V @Chan]:TER 50
  2.015  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.016  IEEE2        ACQ:SAMP ET
  2.017  IEEE2        TRIG:A:MOD NORM;TYPE EDGE
  2.018  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  2.019  IEEE2        MEASU:METH MINM
  2.020  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE FREQ;STATE ON
  2.021  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYP PK2P;STATE ON

  2.022  IF           ZCMPI(@ModelNum, "TDS5054BE")
  2.023  MATH         L[1] = 50E-9
  2.024  ELSE
  2.025  MATH         L[1] = 40E-9
  2.026  ENDIF

  2.027  IEEE2        HOR:SCA [L1]
  2.028  IEEE2        CH[V @Chan]:SCA 100E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.029  MATH         MEM = 600; MEM1 = MEM

  2.030  DO
  2.031  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.032  IF           MEM > 5560 || MEM < 4.44
  2.033  MATH         MEM = 600
  2.034  ENDIF

  2.035  9100         mVpp                         10MH           LS SC S  L

  2.036  DO
  2.037  IEEE2        [D250]TRIG:A SETL
  2.038  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  2.039  UNTIL        @Trig

  2.040  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  2.041  MATH         MEM = MEM / 1E-3
  2.042  UNTIL        (MEM >= 599) && (MEM <= 601)

  2.043  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  2.044  MATH         MEM = MEM1

  2.045  IF           @Bandwidth == 350E+6
  2.046  MATH         Freq = 350
  2.047  9100         mVpp                         350MH          LS SC S  L
  2.048  ELSE
  2.049  MATH         Freq = 500
  2.050  9100         mVpp                         500MH          LS SC S  L
  2.051  ENDIF

  2.052  IEEE2        TRIG:A SETL
  2.053  WAIT         -t 2 Settling...
  2.054  IEEE2        MEASU:MEAS2:VAL?[I]
  2.055  MATH         MEM = MEM / 1E-3
  2.056  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  2.057  MEM2         = Limit: >= 424 mVpp @ [V Freq] MHz, Result: [MEM2]
  2.058  EVAL   -e MEM >= 424 : [MEM2]

  3.001  9100         *                                                 S

# Only query once whether to do optional other scales bandwidth test when the
# channel 1 is tested, other channels test will take the same answer.
  3.002  IF           @Chan == 1
  3.003  HEAD         BANDWIDTH TESTS (OTHER SCALES)
  3.004  OPBR         -z Checking the bandwidth of each channel at all
  3.004  OPBR         vertical scale settings is time consuming and
  3.004  OPBR         unnecessary if Self Test, Self Path Compensation
  3.004  OPBR         and 100 mV scale bandwidth test have passed.
  3.004  OPBR
  3.004  OPBR         Do you want to SKIP the optional bandwidth test of other
  3.004  OPBR         scale settings?
  3.005  MATH         @OptBWSkipped =  MEM1
  3.006  ENDIF

  3.007  IF           NOT(@OptBWSkipped)
  3.008  RSLT         =
  3.009  HEAD         -2{ 2 mV/div}
  3.010  TARGET
  3.011  IEEE2        HOR:SCA [L1]
  3.012  IEEE2        CH[V @Chan]:SCA 2E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 11.95 mV and 12.05 mV.
  3.013  MATH         MEM = 12; MEM1 = MEM

  3.014  DO
  3.015  MATH         MEM = MEM1 + (12 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.016  IF           MEM > 5560 || MEM < 4.44
  3.017  MATH         MEM = 12
  3.018  ENDIF

  3.019  9100         mVpp                         10MH           LS SC S  L

  3.020  DO
  3.021  IEEE2        [D250]TRIG:A SETL
  3.022  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  3.023  UNTIL        @Trig

  3.024  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  3.025  MATH         MEM = MEM / 1E-3
  3.026  UNTIL        (MEM >= 11.95) && (MEM <= 12.05)

  3.027  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  3.028  MATH         MEM = MEM1

  3.029  IF           @Bandwidth == 350E+6
  3.030  MATH         Freq =  250
  3.031  9100         mVpp                         250MH          LS SC S  L
  3.032  ELSE
  3.033  MATH         Freq =  300
  3.034  9100         mVpp                         300MH          LS SC S  L
  3.035  ENDIF

  3.036  IEEE2        TRIG:A SETL
  3.037  WAIT         -t 2 Settling...
  3.038  IEEE2        MEASU:MEAS2:VAL?[I]
  3.039  MATH         MEM = MEM / 1E-3
  3.040  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  3.041  MEM2         = Limit: >= 8.48 mVpp @ [V Freq] MHz, Result: [MEM2]
  3.042  EVAL   -e MEM >= 8.48 : [MEM2]

  4.001  RSLT         =
  4.002  HEAD         -2{ 5 mV/div}
  4.003  TARGET
  4.004  IEEE2        HOR:SCA [L1]
  4.005  IEEE2        CH[V @Chan]:SCA 5E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 29.5 mV and 30.5 mV.
  4.006  MATH         MEM = 30; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (30 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5560 || MEM < 4.44
  4.010  MATH         MEM = 30
  4.011  ENDIF

  4.012  9100         mVpp                         10MH           LS SC S  L

  4.013  DO
  4.014  IEEE2        [D250]TRIG:A SETL
  4.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  4.016  UNTIL        @Trig

  4.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  4.018  MATH         MEM = MEM / 1E-3
  4.019  UNTIL        (MEM >= 29.5) && (MEM <= 30.5)

  4.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  4.021  MATH         MEM = MEM1

  4.022  IF           @Bandwidth == 350E+6
  4.023  MATH         Freq =  350
  4.024  9100         mVpp                         350MH          LS SC S  L
  4.025  ELSE
  4.026  MATH         Freq =  500
  4.027  9100         mVpp                         500MH          LS SC S  L
  4.028  ENDIF

  4.029  IEEE2        TRIG:A SETL
  4.030  WAIT         -t 2 Settling...
  4.031  IEEE2        MEASU:MEAS2:VAL?[I]
  4.032  MATH         MEM = MEM / 1E-3
  4.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  4.034  MEM2         = Limit: >= 21.2 mVpp @ [V Freq] MHz, Result: [MEM2]
  4.035  EVAL   -e MEM >= 21.2 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{ 10 mV/div}
  5.003  TARGET
  5.004  IEEE2        HOR:SCA [L1]
  5.005  IEEE2        CH[V @Chan]:SCA 10E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.5 mV and 60.5 mV.
  5.006  MATH         MEM = 60; MEM1 = MEM

  5.007  DO
  5.008  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.009  IF           MEM > 5560 || MEM < 4.44
  5.010  MATH         MEM = 60
  5.011  ENDIF

  5.012  9100         mVpp                         10MH           LS SC S  L

  5.013  DO
  5.014  IEEE2        [D250]TRIG:A SETL
  5.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  5.016  UNTIL        @Trig

  5.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  5.018  MATH         MEM = MEM / 1E-3
  5.019  UNTIL        (MEM >= 59.5) && (MEM <= 60.5)

  5.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  5.021  MATH         MEM = MEM1

  5.022  IF           @Bandwidth == 350E+6
  5.023  MATH         Freq =  350
  5.024  9100         mVpp                         350MH          LS SC S  L
  5.025  ELSE
  5.026  MATH         Freq =  500
  5.027  9100         mVpp                         500MH          LS SC S  L
  5.028  ENDIF

  5.029  IEEE2        TRIG:A SETL
  5.030  WAIT         -t 2 Settling...
  5.031  IEEE2        MEASU:MEAS2:VAL?[I]
  5.032  MATH         MEM = MEM / 1E-3
  5.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  5.034  MEM2         = Limit: >= 42.4 mVpp @ [V Freq] MHz, Result: [MEM2]
  5.035  EVAL   -e MEM >= 42.4 : [MEM2]

  6.001  RSLT         =
  6.002  HEAD         -2{ 20 mV/div}
  6.003  TARGET
  6.004  IEEE2        HOR:SCA [L1]
  6.005  IEEE2        CH[V @Chan]:SCA 20E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 119.5 mV and 120.5 mV.
  6.006  MATH         MEM = 120; MEM1 = MEM

  6.007  DO
  6.008  MATH         MEM = MEM1 + (120 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.009  IF           MEM > 5560 || MEM < 4.44
  6.010  MATH         MEM = 120
  6.011  ENDIF

  6.012  9100         mVpp                         10MH           LS SC S  L

  6.013  DO
  6.014  IEEE2        [D250]TRIG:A SETL
  6.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  6.016  UNTIL        @Trig

  6.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  6.018  MATH         MEM = MEM / 1E-3
  6.019  UNTIL        (MEM >= 119.5) && (MEM <= 120.5)

  6.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  6.021  MATH         MEM = MEM1

  6.022  IF           @Bandwidth == 350E+6
  6.023  MATH         Freq =  350
  6.024  9100         mVpp                         350MH          LS SC S  L
  6.025  ELSE
  6.026  MATH         Freq =  500
  6.027  9100         mVpp                         500MH          LS SC S  L
  6.028  ENDIF

  6.029  IEEE2        TRIG:A SETL
  6.030  WAIT         -t 2 Settling...
  6.031  IEEE2        MEASU:MEAS2:VAL?[I]
  6.032  MATH         MEM = MEM / 1E-3
  6.033  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  6.034  MEM2         = Limit: >= 84.8 mVpp @ [V Freq] MHz, Result: [MEM2]
  6.035  EVAL   -e MEM >= 84.8 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ 50 mV/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA [L1]
  7.005  IEEE2        CH[V @Chan]:SCA 50E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 299 mV and 301 mV.
  7.006  MATH         MEM = 300; MEM1 = MEM

  7.007  DO
  7.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.009  IF           MEM > 5560 || MEM < 4.44
  7.010  MATH         MEM = 300
  7.011  ENDIF

  7.012  9100         mVpp                         10MH           LS SC S  L

  7.013  DO
  7.014  IEEE2        [D250]TRIG:A SETL
  7.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  7.016  UNTIL        @Trig

  7.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  7.018  MATH         MEM = MEM / 1E-3
  7.019  UNTIL        (MEM >= 299) && (MEM <= 301)

  7.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  7.021  MATH         MEM = MEM1

  7.022  IF           @Bandwidth == 350E+6
  7.023  MATH         Freq =  350
  7.024  9100         mVpp                         350MH          LS SC S  L
  7.025  ELSE
  7.026  MATH         Freq =  500
  7.027  9100         mVpp                         500MH          LS SC S  L
  7.028  ENDIF

  7.029  IEEE2        TRIG:A SETL
  7.030  WAIT         -t 2 Settling...
  7.031  IEEE2        MEASU:MEAS2:VAL?[I]
  7.032  MATH         MEM = MEM / 1E-3
  7.033  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  7.034  MEM2         = Limit: >= 212 mVpp @ [V Freq] MHz, Result: [MEM2]
  7.035  EVAL   -e MEM >= 212 : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         -2{ 200 mV/div}
  8.003  TARGET
  8.004  IEEE2        HOR:SCA [L1]
  8.005  IEEE2        CH[V @Chan]:SCA 200E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1199 mV and 1201 mV.
  8.006  MATH         MEM = 1200; MEM1 = MEM

  8.007  DO
  8.008  MATH         MEM = MEM1 + (1200 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.009  IF           MEM > 5560 || MEM < 4.44
  8.010  MATH         MEM = 1200
  8.011  ENDIF

  8.012  9100         mVpp                         10MH           LS SC S  L

  8.013  DO
  8.014  IEEE2        [D250]TRIG:A SETL
  8.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  8.016  UNTIL        @Trig

  8.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  8.018  MATH         MEM = MEM / 1E-3
  8.019  UNTIL        (MEM >= 1199) && (MEM <= 1201)

  8.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  8.021  MATH         MEM = MEM1

  8.022  IF           @Bandwidth == 350E+6
  8.023  MATH         Freq =  350
  8.024  9100         mVpp                         350MH          LS SC S  L
  8.025  ELSE
  8.026  MATH         Freq =  500
  8.027  9100         mVpp                         500MH          LS SC S  L
  8.028  ENDIF

  8.029  IEEE2        TRIG:A SETL
  8.030  WAIT         -t 2 Settling...
  8.031  IEEE2        MEASU:MEAS2:VAL?[I]
  8.032  MATH         MEM = MEM / 1E-3
  8.033  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  8.034  MEM2         = Limit: >= 848 mVpp @ [V Freq] MHz, Result: [MEM2]
  8.035  EVAL   -e MEM >= 848 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         -2{ 500 mV/div}
  9.003  TARGET
  9.004  IEEE2        HOR:SCA [L1]
  9.005  IEEE2        CH[V @Chan]:SCA 500E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01V
  9.006  MATH         MEM = 3; MEM1 = MEM

  9.007  DO
  9.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.009  IF           MEM > 5.56 || MEM < 0.00444
  9.010  MATH         MEM = 3
  9.011  ENDIF

  9.012  9100         Vpp                          10MH           LS SC S  L

  9.013  DO
  9.014  IEEE2        [D250]TRIG:A SETL
  9.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
  9.016  UNTIL        @Trig

  9.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
  9.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

  9.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  9.020  MATH         MEM = MEM1

  9.021  IF           @Bandwidth == 350E+6
  9.022  MATH         Freq =  350
  9.023  9100         Vpp                          350MH          LS SC S  L
  9.024  ELSE
  9.025  MATH         Freq =  500
  9.026  9100         Vpp                          500MH          LS SC S  L
  9.027  ENDIF

  9.028  IEEE2        TRIG:A SETL
  9.029  WAIT         -t 2 Settling...
  9.030  IEEE2        MEASU:MEAS2:VAL?[I]
  9.031  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
  9.032  MEM2         = Limit: >= 2.12 Vpp @ [V Freq] MHz, Result: [MEM2]
  9.033  EVAL   -e MEM >= 2.12 : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         -2{ 1 V/div}
 10.003  TARGET
 10.004  IEEE2        HOR:SCA [L1]
 10.005  IEEE2        CH[V @Chan]:SCA 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01V
 10.006  MATH         MEM = 3; MEM1 = MEM

 10.007  DO
 10.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.009  IF           MEM > 5.56 || MEM < 0.00444
 10.010  MATH         MEM = 3
 10.011  ENDIF

 10.012  9100         Vpp                          10MH           LS SC S  L

 10.013  DO
 10.014  IEEE2        [D250]TRIG:A SETL
 10.015  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 10.016  UNTIL        @Trig

 10.017  IEEE2        [D250]MEASU:MEAS2:VAL?[I]
 10.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

 10.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 10.020  MATH         MEM = MEM1

 10.021  IF           @Bandwidth == 350E+6
 10.022  MATH         Freq =  350
 10.023  9100         Vpp                          350MH          LS SC S  L
 10.024  ELSE
 10.025  MATH         Freq =  500
 10.026  9100         Vpp                          500MH          LS SC S  L
 10.027  ENDIF

 10.028  IEEE2        TRIG:A SETL
 10.029  WAIT         -t 2 Settling...
 10.030  IEEE2        MEASU:MEAS2:VAL?[I]
 10.031  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 10.032  MEM2         = Limit: >= 2.12 Vpp @ [V Freq] MHz, Result: [MEM2]
 10.033  EVAL   -e MEM >= 2.12 : [MEM2]

 11.001  9100         *                                                 S
 11.002  ENDIF

 11.003  HEAD         -2
 11.004  END

 11.005  EVAL   Increment step number

# ******************************* Channels Isolation *************************

 12.001  LABEL        CHANNELS_ISOLATION

 12.002  IF           @Chan == 1
 12.003  RSLT         =
 12.004  RSLT         =CHECK CHANNELS ISOLATION(CROSSTALK)
 12.005  ENDIF

 12.006  HEAD         CHECK CHANNELS ISOLATION
 12.007  RSLT         =
 12.008  RSLT         = Input Channel [V @Chan]

 12.009  RSLT         =
 12.010  HEAD         -2{ 100MHz, 8 Division}
 12.011  TARGET
 12.012  LABEL        START_100MHz_ISO
 12.013  CALL         Sub Tek TDS5000B Channel Select IEEE

# Note: Here we adjust the vertical scale to 10 mV/div rather than 100 mV/div
# of service manual is because we found it is easy to occur execution error
# or query error when querying the crosstalk result for the value is too small
# than vertical scale. According the specification the crosstalk of channels
# should be tested with same vertical scale setting between the test channels.
 12.014  IF           @NumChan == 2

# Specify channel being tested.
 12.015  IF           @Chan == 1
 12.016  MATH         L[12] = 2
 12.017  ELSE
 12.018  MATH         L[12] = 1
 12.019  ENDIF

 12.020  IEEE2        SELECT:CH[L12] ON
 12.021  IEEE2        CH[V @Chan]:TER 50;SCA 10E-3
 12.022  IEEE2        CH[L12]:TER 50;SCA 10E-3

 12.023  ELSE

# Specify channel being tested.
 12.024  IF           @Chan == 1
 12.025  MATH         L[12] = 2; L[13] = 3; L[14] = 4
 12.026  ELSEIF       @Chan == 2
 12.027  MATH         L[12] = 1; L[13] = 3; L[14] = 4
 12.028  ELSEIF       @Chan == 3
 12.029  MATH         L[12] = 1; L[13] = 2; L[14] = 4
 12.030  ELSE
 12.031  MATH         L[12] = 1; L[13] = 2; L[14] = 3
 12.032  ENDIF

 12.033  IEEE2        SELECT:CH[L12] ON;CH[L13] ON;CH[L14] ON
 12.034  IEEE2        CH[V @Chan]:TER 50;SCA 10E-3
 12.035  IEEE2        CH[L12]:TER 50;SCA 10E-3
 12.036  IEEE2        CH[L13]:TER 50;SCA 10E-3
 12.037  IEEE2        CH[L14]:TER 50;SCA 10E-3
 12.038  ENDIF

 12.039  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 12.040  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 12.041  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYP AMPL;STATE ON

 12.042  IF           ZCMPI(@ModelNum, "TDS5054BE")
 12.043  IEEE2        HOR:SCA 25E-9
 12.044  ELSE
 12.045  IEEE2        HOR:SCA 20E-9
 12.046  ENDIF

# Set the output of the calibrator so the amplitude measurement at 100MHz is
# between 79.5 and 80.5mV.
 12.047  MATH         MEM = 80.0; MEM1 = MEM

 12.048  DO
 12.049  MATH         MEM = MEM1 + (80.0 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.050  IF           MEM > 5560 || MEM < 4.44
 12.051  MATH         MEM = 80.0
 12.052  ENDIF

 12.053  DO
 12.054  9100         mVpp                         100MH          LS SC S  L
 12.055  IEEE2        [D500]TRIG:A SETL
 12.056  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 12.057  UNTIL        @Trig

 12.058  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 12.059  MATH         MEM = MEM / 1E-3
 12.060  UNTIL        (MEM >= 79.5) && (MEM <= 80.5)

# Save the output amplitude of calibrator.
 12.061  MATH         Ampl = MEM1
 12.062  IEEE2        MEASU:MEAS2:SOU CH[L12];TYP AMPL;STATE ON

 12.063  IF           @NumChan == 2
 12.064  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based vertical scale setting.
 12.065  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 12.066  MATH         MEM = FRND(MEM, 4)
 12.067  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 12.068  MEM2         = CH [L12] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 12.069  EVAL   -e MEM <= 0.08 : [MEM2]

 13.001  IEEE2        MEASU:MEAS2:STATE OFF

# 4 channels UUT.
 13.002  ELSE
 13.003  JMPL         FIRST_CH_100MHz

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 13.004  TARGET
 13.005  JMPL         START_100MHz_ISO

 13.006  LABEL        FIRST_CH_100MHz
 13.007  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 13.008  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 13.009  MATH         MEM = FRND(MEM, 4)
 13.010  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 13.011  MEM2         = CH [L12] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 13.012  EVAL   -e MEM <= 0.08 : [MEM2]

 14.001  IEEE2        MEASU:MEAS3:SOU CH[L13];TYP AMPL;STATE ON
 14.002  MATH         MEM = Ampl

 14.003  DO
 14.004  9100         mVpp                         100MH          LS SC S  L
 14.005  IEEE2        [D500]TRIG:A SETL
 14.006  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 14.007  UNTIL        @Trig

 14.008  IEEE2        MEASU:MEAS3:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 14.009  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 14.010  MATH         MEM = FRND(MEM, 4)
 14.011  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 14.012  MEM2         = CH [L13] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 14.013  EVAL   -e MEM <= 0.08 : [MEM2]

 15.001  IEEE2        MEASU:MEAS4:SOU CH[L14];TYP AMPL;STATE ON
 15.002  MATH         MEM = Ampl

 15.003  DO
 15.004  9100         mVpp                         100MH          LS SC S  L
 15.005  IEEE2        [D1000]TRIG:A SETL
 15.006  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 15.007  UNTIL        @Trig

 15.008  IEEE2        MEASU:MEAS4:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 15.009  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 15.010  MATH         MEM = FRND(MEM, 4)
 15.011  MATH         MEM2 = FMT(MEM, "%.3f") & " div"
 15.012  MEM2         = CH [L14] Limit: <= 0.08 div @ 100 MHz, Result: [MEM2]
 15.013  EVAL   -e MEM <= 0.08 : [MEM2]

 16.001  IEEE2        MEASU:MEAS2:STATE OFF
 16.001  IEEE2        MEASU:MEAS3:STATE OFF
 16.001  IEEE2        MEASU:MEAS4:STATE OFF
 16.002  ENDIF

 16.003  RSLT         =
 16.004  HEAD         -2{ Full Bandwidth, 8 Division}
 16.005  TARGET
 16.006  LABEL        START_FULL_BW_ISO
# Set the output of the calibrator so the amplitude measurement at full
# bandwidth is between 78.5 and 81.5 mV.
 16.007  MATH         MEM = 80.0; MEM1 = MEM

 16.008  DO
 16.009  MATH         MEM = MEM1 + (80.0 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 16.010  IF           MEM > 5560 || MEM < 4.44
 16.011  MATH         MEM = 80.0
 16.012  ENDIF

 16.013  DO

 16.014  IF           @Bandwidth == 350E+6
 16.015  9100         mVpp                         350MH          LS SC S  L
 16.016  ELSE
 16.017  9100         mVpp                         500MH          LS SC S  L
 16.018  ENDIF

 16.019  IEEE2        [D500]TRIG:A SETL
 16.020  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 16.021  UNTIL        @Trig

 16.022  IEEE2        MEASU:MEAS1:VAL?[I]
 16.023  MATH         MEM = MEM / 1E-3
 16.024  UNTIL        (MEM >= 78.5) && (MEM <= 81.5)

# Save the output amplitude of calibrator.
 16.025  MATH         Ampl = MEM1
 16.026  IEEE2        MEASU:MEAS2:SOU CH[L12];TYP AMPL;STATE ON

 16.027  IF           @Bandwidth == 350E+6
 16.028  MATH         Freq =  350
 16.029  ELSE
 16.030  MATH         Freq =  500
 16.031  ENDIF

 16.032  IF           @NumChan == 2
 16.033  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 16.034  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 16.035  MATH         MEM = FRND(MEM, 4)
 16.036  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 16.037  MATH         Limit  = "Limit: <= 0.08 div @ 100 MHz"
 16.038  MEM2         = CH [L14] [V Limit], [V Result]
 16.039  EVAL   -e MEM <= 0.08 : [MEM2]

 17.001  IEEE2        MEASU:MEAS1:STATE OFF
 17.001  IEEE2        MEASU:MEAS2:STATE OFF

# 4 channels UUT.
 17.002  ELSE
 17.003  JMPL         FIRST_CH_FULL_BW

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 17.004  TARGET
 17.005  JMPL         START_FULL_BW_ISO

 17.006  LABEL        FIRST_CH_FULL_BW
 17.007  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 17.008  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 17.009  MATH         MEM = FRND(MEM, 4)
 17.010  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 17.011  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 17.012  MEM2         = CH [L12] [V Limit], [V Result]
 17.013  EVAL   -e MEM <= 0.16 : [MEM2]

 18.001  IEEE2        MEASU:MEAS3:SOU CH[L13];TYP AMPL;STATE ON
 18.002  MATH         MEM = Ampl

 18.003  DO

 18.004  IF           @Bandwidth == 350E+6
 18.005  9100         mVpp                         350MH          LS SC S  L
 18.006  ELSE
 18.007  9100         mVpp                         500MH          LS SC S  L
 18.008  ENDIF

 18.009  IEEE2        [D500]TRIG:A SETL
 18.010  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 18.011  UNTIL        @Trig

 18.012  IEEE2        MEASU:MEAS3:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 18.013  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 18.014  MATH         MEM = FRND(MEM, 4)
 18.015  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 18.016  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 18.017  MEM2         = CH [L12] [V Limit], [V Result]
 18.018  EVAL   -e MEM <= 0.16 : [MEM2]

 19.001  IEEE2        MEASU:MEAS4:SOU CH[L14];TYP AMPL;STATE ON
 19.002  MATH         MEM = Ampl

 19.003  DO

 19.004  IF           @Bandwidth == 350E+6
 19.005  9100         mVpp                         350MH          LS SC S  L
 19.006  ELSE
 19.007  9100         mVpp                         500MH          LS SC S  L
 19.008  ENDIF

 19.009  IEEE2        [D500]TRIG:A SETL
 19.010  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 19.011  UNTIL        @Trig

 19.012  IEEE2        MEASU:MEAS4:VAL?[I]
# Convert the amplitude reading into divisions based on vertical scale.
 19.013  MATH         MEM = MEM  * ( 1 / 10E-3)
# Set the significant digit of reading
 19.014  MATH         MEM = FRND(MEM, 4)
 19.015  MATH         Result = "Result: " & FMT(MEM, "%.3f") & " div"
 19.016  MATH         Limit  = "Limit: <= 0.16 div @ " & Freq & "  MHz"
 19.017  MEM2         = CH [L13] [V Limit], [V Result]
 19.018  EVAL   -e MEM <= 0.16 : [MEM2]

 20.001  IEEE2        MEASU:MEAS1:STATE OFF
 20.001  IEEE2        MEASU:MEAS2:STATE OFF
 20.001  IEEE2        MEASU:MEAS3:STATE OFF
 20.001  IEEE2        MEASU:MEAS4:STATE OFF
 20.002  ENDIF

 20.003  HEAD
 20.004  HEAD         -2
 20.005  9100         *                                                 S
 20.006  END

 20.007  EVAL   Increment step number

# ********************************** Trigger  ********************************

 21.001  LABEL        TRIGGER

 21.002  IF           @Chan == 1
 21.003  RSLT         =
 21.004  RSLT         =TRIGGER SYSTEM CHECKS
 21.005  RSLT         =
 21.006  RSLT         =EDGE-TRIGGER SENSITIVITY
 21.007  ENDIF

 21.008  RSLT         =
 21.009  RSLT         =Channel [V @Chan]

 21.010  HEAD         EDGE-TRIGGER SENSITIVITY (Channel [V @Chan])
 21.011  RSLT         =
 21.012  HEAD         -2{ TRIGGER SENSITIVITY (50 MHz)}
 21.013  TARGET
 21.014  CALL         Sub Tek TDS5000B Channel Select IEEE
 21.015  IEEE2        TRIG:A:MOD NORM;TYP EDGE
 21.016  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 21.017  IEEE2        ACQ:MODE AVE;NUMAV 16
 21.018  IEEE2        MEASU:METH MINM
 21.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON
 21.020  IEEE2        TRIG:A SETL
 21.021  IEEE2        CH[V @Chan]:SCA 100E-3
 21.022  IEEE2        CH[V @Chan]:TER 50

 21.023  IF           ZCMPI(@ModelNum, "TDS5054BE")
 21.024  IEEE2        HOR:SCA 25E-9
 21.025  ELSE
 21.026  IEEE2        HOR:SCA 20E-9
 21.027  ENDIF

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 350 mV(100 mV/div, 3.5 div).
 21.028  MATH         MEM = 350; MEM1 = MEM

 21.029  DO
 21.030  MATH         MEM = MEM1 + (350 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 21.031  IF           MEM > 5560 || MEM < 4.44
 21.032  MATH         MEM = 350
 21.033  ENDIF

 21.034  9100         mVpp                         50MH           LS SC S  L

 21.035  DO
 21.036  IEEE2        [D250]TRIG:A SETL
 21.037  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 21.038  UNTIL        @Trig

 21.039  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 21.040  MATH         MEM = MEM / 1E-3
 21.041  UNTIL        (MEM >= 348) && (MEM <= 352)

# Reduce the output of calibrator to one tenth (about 35 mV or 0.35 div)
# in place of using a 10x attenuator.
 21.042  MATH         MEM = MEM1 / 10
 21.043  9100         mVpp                         50MH           LS SC S  L
 21.044  MATH         Ampl = MEM1
 21.045  IEEE2        TRIG:MAI:EDGE:SLO RISE
 21.046  MATH         @PeakVal = 17.5E-3
 21.047  MATH         @StepVal = 0.5E-3
 21.048  MATH         @TrigObj = "A"
 21.049  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 21.050  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 21.051  EVAL   -e @Trig : [MEM2]

 22.001  MATH         MEM = Ampl
 22.002  9100         mVpp                         50MH           LS SC S  L
 22.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 22.004  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 22.005  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 22.006  EVAL   -e @Trig : [MEM2]

 23.001  RSLT         =
 23.002  HEAD         -2{ TRIG DELAY SENSITIVITY (50 MHz)}
 23.003  TARGET
 23.004  MATH         MEM = Ampl
 23.005  9100         mVpp                         50MH           LS SC S  L
 23.006  IEEE2        TRIG:MAI:EDGE:SLO RISE
 23.007  IEEE2        TRIG:A:EDGE:SOU LINE
 23.008  IEEE2        TRIG:B:STATE ON;BY TIME;EDGE:SOU CH[V @Chan]
 23.009  IEEE2        TRIG:B SETL
 23.010  MATH         @TrigObj = "B"
 23.011  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 23.012  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 23.013  EVAL   -e @Trig : [MEM2]

 24.001  IEEE2        TRIG:B:STATE OFF

 24.002  IF           @Chan == 1
 24.003  RSLT         =
 24.004  HEAD         -2{ AUX IN TRIG SENSITIVITY (50 MHz)}
# This TARGET and JMPL are here so "Repeat" and "Cancel" will be
# able to setup waveform again with correct hook-up.
 24.005  JMPL         AUX_IN_TRIG_SENS_50M_START

 24.006  TARGET
 24.007  DISP         Reconnect the 9100 SIG OUT (on rear) to the UUT CH 1.

 24.008  LABEL        AUX_IN_TRIG_SENS_50M_START
 24.009  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV(100 mV/div, 4 div).
 24.010  MATH         MEM = 400; MEM1 = MEM

 24.011  DO
 24.012  MATH         MEM = MEM1 + (400 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 24.013  IF           MEM > 5560 || MEM < 4.44
 24.014  MATH         MEM = 400
 24.015  ENDIF

 24.016  9100         mVpp                         50MH           LS SC S  L
 24.017  MATH         Ampl = MEM

 24.018  DO
 24.019  IEEE2        [D250]TRIG:A SETL
 24.020  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 24.021  UNTIL        @Trig

 24.022  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 24.023  MATH         MEM = MEM / 1E-3
 24.024  UNTIL        (MEM >= 395) && (MEM <= 405)

 24.025  IEEE2        [@9100]OUTP:STAT OFF
 24.026  DISP         Connect the 9100 SIG OUT (on rear) to the UUT AUX IN.
 24.026  DISP
 24.026  DISP         You may not see the waveform during the following test.
 24.026  DISP         The "triggered" status will be checked automatically.
 24.027  IEEE2        [@9100]OUTP:STAT ON
 24.028  WAIT         -t 2 System Settling ...
 24.029  IEEE2        TRIG:A:EDGE:SOU AUX
 24.030  MATH         @PeakVal = 200E-3
 24.031  MATH         @StepVal = 0.5E-3
 24.032  MATH         @TrigObj = "A"
 24.033  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 24.034  MEM2         = Rising Slope, Limit: 400 mV @ 50 MHz
 24.035  EVAL   -e @Trig : [MEM2]

 25.001  MATH         MEM = Ampl
 25.002  9100         mVpp                         50MH           LS SC S  L
 25.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 25.004  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 25.005  MEM2         = Falling Slope, Limit: 400 mV @ 50 MHz
 25.006  EVAL   -e @Trig : [MEM2]

 26.001  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 26.002  9100         *                                                 S
 26.003  DISP         Reconnect the 9100 SIG OUT (on rear) to the UUT CH 1.
 26.004  ENDIF

 26.005  RSLT         =
 26.006  HEAD         -2{ TRIG SENSITIVITY (Full Bandwidth)}
 26.007  TARGET

 26.008  IF           ZCMPI(@ModelNum, "TDS5054BE")
 26.009  IEEE2        HOR:SCA 500E-12
 26.010  ELSE
 26.011  IEEE2        HOR:SCA 400E-12
 26.012  ENDIF

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV(100 mV/div, 5 div).
 26.013  MATH         MEM = 500; MEM1 = MEM

 26.014  DO
 26.015  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 26.016  IF           MEM > 5560 || MEM < 4.44
 26.017  MATH         MEM = 500
 26.018  ENDIF

 26.019  IF           @Bandwidth == 350E+6
 26.020  9100         mVpp                         350MH          LS SC S  L
 26.021  ELSE
 26.022  9100         mVpp                         500MH          LS SC S  L
 26.023  ENDIF

 26.024  DO
 26.025  IEEE2        [D250]TRIG:A SETL
 26.026  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 26.027  UNTIL        @Trig

 26.028  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 26.029  MATH         MEM = MEM / 1E-3
 26.030  UNTIL        (MEM >= 490) && (MEM <= 510)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 26.031  MATH         MEM = MEM1 / 5

 26.032  IF           @Bandwidth == 350E+6
 26.033  MATH         Freq = 350
 26.034  9100         mVpp                         350MH          LS SC S  L
 26.035  ELSE
 26.036  MATH         Freq = 500
 26.037  9100         mVpp                         500MH          LS SC S  L
 26.038  ENDIF

 26.039  MATH         Ampl = MEM1
 26.040  IEEE2        TRIG:MAI:EDGE:SLO RISE
 26.041  MATH         @PeakVal = 50E-3
 26.042  MATH         @StepVal = 0.5E-3
 26.043  MATH         @TrigObj = "A"
 26.044  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 26.045  MEM2         = Rising Slope, Limit: 1 div @ [V Freq] MHz
 26.046  EVAL   -e @Trig : [MEM2]

 27.001  MATH         MEM = Ampl

 27.002  IF           @Bandwidth == 350E+6
 27.003  9100         mVpp                         350MH          LS SC S  L
 27.004  ELSE
 27.005  9100         mVpp                         500MH          LS SC S  L
 27.006  ENDIF

 27.007  IEEE2        TRIG:MAI:EDGE:SLO FALL
 27.008  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 27.009  MEM2         = Falling Slope, Limit: 1 div @ [V Freq] MHz
 27.010  EVAL   -e @Trig : [MEM2]

 28.001  RSLT         =
 28.002  HEAD         -2{ TRIG DELAY SENSITIVITY (Full Bandwidth)}
 28.003  TARGET
 28.004  MATH         MEM = Ampl

 28.005  IF           @Bandwidth == 350E+6
 28.006  9100         mVpp                         350MH          LS SC S  L
 28.007  ELSE
 28.008  9100         mVpp                         500MH          LS SC S  L
 28.009  ENDIF

 28.010  IEEE2        TRIG:MAI:EDGE:SLO RISE
 28.011  IEEE2        TRIG:A:EDGE:SOU LINE
 28.012  IEEE2        TRIG:B:STATE ON;BY TIME;EDGE:SOU CH[V @Chan]
 28.013  IEEE2        TRIG:B SETL
 28.014  MATH         @TrigObj = "B"
 28.015  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 28.016  MEM2         = Rising Slope, Limit: 1 div @ [V Freq] MHz
 28.017  EVAL   -e @Trig : [MEM2]

 29.001  IEEE2        TRIG:B:STATE OFF
 29.002  9100         *                                                 S

 29.003  IF           @Chan == 1
 29.004  RSLT         =
 29.005  HEAD         -2{ AUX IN TRIG SENSITIVITY (Full Bandwidth)}
# This TARGET and JMPL are here so "Repeat" and "Cancel" will be
# able to setup waveform again with correct hook-up.
 29.006  JMPL         AUX_IN_TRIG_SENS_FB_START

 29.007  TARGET
 29.008  DISP         Reconnect the 9100 SIG OUT (on rear) to the UUT CH 1.

 29.009  LABEL        AUX_IN_TRIG_SENS_FB_START
 29.010  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 750 mV(100 mV/div, 7.5 div).
 29.011  MATH         MEM = 750; MEM1 = MEM

 29.012  DO
 29.013  MATH         MEM = MEM1 + (750 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 29.014  IF           MEM > 5560 || MEM < 4.44
 29.015  MATH         MEM = 750
 29.016  ENDIF

 29.017  IF           @Bandwidth == 350E+6
 29.018  9100         mVpp                         350MH          LS SC S  L
 29.019  ELSE
 29.020  9100         mVpp                         500MH          LS SC S  L
 29.021  ENDIF

 29.022  MATH         Ampl = MEM1

 29.023  DO
 29.024  IEEE2        [D250]TRIG:A SETL
 29.025  CALL         Sub Tek TDS5000B Check Trig Status IEEE
 29.026  UNTIL        @Trig

 29.027  IEEE2        [D250]MEASU:MEAS1:VAL?[I]
 29.028  MATH         MEM = MEM / 1E-3
 29.029  UNTIL        (MEM >= 740) && (MEM <= 760)

 29.030  IEEE2        [@9100]OUTP:STAT OFF
 29.031  DISP         Connect the 9100 SIG OUT (on rear) to the UUT AUX IN.
 29.031  DISP
 29.031  DISP         You may not see the waveform during the following test.
 29.031  DISP         The "triggered" status will be checked automatically.
 29.032  IEEE2        [@9100]OUTP:STAT ON
 29.033  WAIT         -t 2 System Settling ...
 29.034  IEEE2        TRIG:A:EDGE:SOU AUX
 29.035  MATH         @PeakVal = 375E-3
 29.036  MATH         @StepVal = 15E-3
 29.037  MATH         @TrigObj = "A"
 29.038  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 29.039  MEM2         = Rising Slope, Limit: 750 mV @ [V Freq] MHz
 29.040  EVAL   -e @Trig : [MEM2]

 30.001  MATH         MEM = Ampl

 30.002  IF           @Bandwidth == 350E+6
 30.003  9100         mVpp                         350MH          LS SC S  L
 30.004  ELSE
 30.005  9100         mVpp                         500MH          LS SC S  L
 30.006  ENDIF

 30.007  IEEE2        TRIG:MAI:EDGE:SLO FALL
 30.008  CALL         Sub Tek TDS5000B Adjust Trig Level IEEE
 30.009  MEM2         = Falling Slope, Limit: 750 mV @ [V Freq] MHz
 30.010  EVAL   -e @Trig : [MEM2]

 31.001  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 31.002  9100         *                                                 S
 31.003  WAIT         -t 30 Waiting for excess heat to dissipate...
 31.004  ENDIF

 31.005  HEAD
 31.006  HEAD         -2
 31.007  END
